## NMDeviceVrf NMDeviceVrf |

## Functions

guint32 | nm_device_vrf_get_table ()

## Properties

guint | table | Read

## Types and Values

#define | NM_DEVICE_VRF_TABLE
| NMDeviceVrf

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceVrf

## Description

## Functions

### nm_device_vrf_get_table ()

    guint32
    nm_device_vrf_get_table (NMDeviceVrf *device);

#### Parameters

device | a NMDeviceVrf |

#### Returns

the device's VRF routing table.

Since: 1.24

## Types and Values

### NM_DEVICE_VRF_TABLE

    #define NM_DEVICE_VRF_TABLE "table"

### NMDeviceVrf

    typedef struct _NMDeviceVrf NMDeviceVrf;

Since: 1.24

## Property Details

### The `“table”` property

      “table”                    guint

The device's VRF table.

Owner: NMDeviceVrf

Flags: Read

Default value: 0

Since: 1.24